From: Thiago Macieira <thiago.macieira@intel.com>
To: Alexey Brodkin <Alexey.Brodkin@synopsys.com>
Cc: "mmarek@suse.com" <mmarek@suse.com>,
"linux-kernel@vger.kernel.org" <linux-kernel@vger.kernel.org>
Subject: Re: make xconfig no longer works in Fedora
Date: Sun, 01 Nov 2015 21:20:43 -0600 [thread overview]
Message-ID: <1540852.ryHORPH4E7@tjmaciei-mobl4> (raw)
In-Reply-To: <1446295161.4394.81.camel@synopsys.com>
[-- Attachment #1: Type: text/plain, Size: 1066 bytes --]
On Saturday 31 October 2015 12:39:21 Alexey Brodkin wrote:
> Hi Thiago,
>
> I noticed that with your patch "Update the buildsystem for KConfig finding
> Qt"
> I cannot use "make xconfig" in Fedora 22 any longer.
Hello Alexey
> The reason why xconfig target fails is in Fedora (at least its recent
> versions)
> there's no "qmake". Instead there're "qmake-qt4" and/or
> "qmake-qt5" depending on which Qt packages are installed.
Hmm... you're right. There's no check for a program with a different name in
the new Makefile. I apologise, I never tested that case.
Fedora is knowingly deviating from Qt Project recommendations. I will fix
this, but please file a bug report against their Qt packages so there's some
pressure to adopt a standard solution that everyone else already does.
> But IMHO it would be really nice if we don't break things that used to
> work.
Right. Can you try the attached patch to see if it solves the problem for you?
--
Thiago Macieira - thiago.macieira (AT) intel.com
Software Architect - Intel Open Source Technology Center
[-- Attachment #2: 0001-Attempt-to-find-qmake-qt5-and-qmake-qt4-if-no-qmake-.patch --]
[-- Type: text/x-patch, Size: 1280 bytes --]
>From fd7d0a2137ece3294703878fc1667e5196f766b9 Mon Sep 17 00:00:00 2001
From: Thiago Macieira <thiago.macieira@intel.com>
Date: Sun, 1 Nov 2015 21:12:53 -0600
Subject: [PATCH 1/1] Attempt to find qmake-qt5 and qmake-qt4 if no "qmake" is
found in $PATH
The Qt Project recommendation is that there should always be a "qmake"
binary and it should never be renamed. If it's necessary to handle
multiple Qt versions, the Qt Project recommends using qtchooser.
Unfortunately, some distros do not follow the recommendation, so we need
to test different possibilities...
Signed-off-by: Thiago Macieira <thiago.macieira@intel.com>
---
scripts/kconfig/Makefile | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/scripts/kconfig/Makefile b/scripts/kconfig/Makefile
index 33c4994..0511557 100644
--- a/scripts/kconfig/Makefile
+++ b/scripts/kconfig/Makefile
@@ -227,7 +227,9 @@ $(obj)/.tmp_qtcheck: $(src)/Makefile
# Qt needs some extra effort...
$(obj)/.tmp_qtcheck:
@set -e; $(kecho) " CHECK qt"; \
- qtver=`qmake -query QT_VERSION` || { \
+ qtver=`qmake -query QT_VERSION` || \
+ qtver=`qmake-qt5 -query QT_VERSION` || \
+ qtver=`qmake-qt4 -query QT_VERSION` || { \
echo >&2 "*"; \
echo >&2 "* qmake failed."; \
echo >&2 "*"; \
--
2.6.2
next prev parent reply other threads:[~2015-11-02 3:20 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-31 12:39 Alexey Brodkin
2015-11-02 3:20 ` Thiago Macieira [this message]
2015-11-02 10:36 ` Michal Marek
2015-11-02 13:46 ` Thiago Macieira
2015-11-02 15:50 ` Michal Marek
2015-11-02 16:01 ` Thiago Macieira
2015-11-02 16:07 ` Michal Marek
2015-11-02 16:28 ` Alexey Brodkin
2015-11-02 20:38 ` Michal Marek
2015-11-02 20:43 ` Alexey Brodkin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1540852.ryHORPH4E7@tjmaciei-mobl4 \
--to=thiago.macieira@intel.com \
--cc=Alexey.Brodkin@synopsys.com \
--cc=linux-kernel@vger.kernel.org \
--cc=mmarek@suse.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®